> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Voice Configuration



## OpenAPI

````yaml post /v1/voice_configurations
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/voice_configurations:
    post:
      tags:
        - Voice Configurations
      summary: Create Voice Configuration
      operationId: create_voice_configuration_v1_voice_configurations_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVoiceConfiguration'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateVoiceConfiguration:
      properties:
        name:
          type: string
          maxLength: 128
          minLength: 1
          title: Name
        llm_aggregation_timeout_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Llm Aggregation Timeout Seconds
          description: >-
            Maximum time to wait for additional transcription content before
            pushing aggregated result.
          default: 0.8
        speech_to_text:
          $ref: '#/components/schemas/SpeechToTextConfig'
        text_to_speech:
          $ref: '#/components/schemas/TextToSpeechConfig'
        language:
          type: string
          maxLength: 16
          minLength: 2
          title: Language
          description: Default language code, e.g., 'en-us'
          default: en-us
        additional_languages:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/LanguageVoiceConfig'
              type: object
            - type: 'null'
          title: Additional Languages
          description: Additional language configurations keyed by language code
        dtmf_input:
          anyOf:
            - $ref: '#/components/schemas/DTMFInputConfig'
            - type: 'null'
        vad:
          anyOf:
            - $ref: '#/components/schemas/VADConfig'
            - type: 'null'
        user_idle_handler:
          anyOf:
            - $ref: '#/components/schemas/UserIdleHandlerConfig'
            - type: 'null'
        agent_idle_handler:
          anyOf:
            - $ref: '#/components/schemas/AgentIdleHandler'
            - type: 'null'
      type: object
      required:
        - name
        - speech_to_text
        - text_to_speech
      title: CreateVoiceConfiguration
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SpeechToTextConfig:
      properties:
        provider:
          type: string
          maxLength: 128
          minLength: 1
          title: Provider
        watson_stt_config:
          anyOf:
            - $ref: '#/components/schemas/WatsonSTTConfig'
            - type: 'null'
        emotech_stt_config:
          anyOf:
            - $ref: '#/components/schemas/EmotechSTTConfig'
            - type: 'null'
        deepgram_stt_config:
          anyOf:
            - $ref: '#/components/schemas/DeepgramSTTConfig'
            - type: 'null'
      type: object
      required:
        - provider
      title: SpeechToTextConfig
    TextToSpeechConfig:
      properties:
        provider:
          type: string
          maxLength: 128
          minLength: 1
          title: Provider
        watson_tts_config:
          anyOf:
            - $ref: '#/components/schemas/WatsonTTSConfig'
            - type: 'null'
        emotech_tts_config:
          anyOf:
            - $ref: '#/components/schemas/EmotechTTSConfig'
            - type: 'null'
        elevenlabs_tts_config:
          anyOf:
            - $ref: '#/components/schemas/ElevenLabsTTSConfig'
            - type: 'null'
        deepgram_tts_config:
          anyOf:
            - $ref: '#/components/schemas/DeepgramTTSConfig'
            - type: 'null'
      type: object
      required:
        - provider
      title: TextToSpeechConfig
    LanguageVoiceConfig:
      properties:
        text_to_speech:
          anyOf:
            - $ref: '#/components/schemas/TextToSpeechConfig'
            - type: 'null'
        speech_to_text:
          anyOf:
            - $ref: '#/components/schemas/SpeechToTextConfig'
            - type: 'null'
        user_idle_handler:
          anyOf:
            - $ref: '#/components/schemas/UserIdleHandlerLangConfig'
            - type: 'null'
        agent_idle_handler:
          anyOf:
            - $ref: '#/components/schemas/AgentIdleHandlerMessages'
            - type: 'null'
      type: object
      title: LanguageVoiceConfig
      description: Voice configuration for a specific language
    DTMFInputConfig:
      properties:
        inter_digit_timeout_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Inter Digit Timeout Ms
          description: >-
            The amount of time (ms) to wait for a new DTMF digit, default is
            2500 ms.
          default: 2500
        termination_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Termination Key
          description: The DTMF termination key that signals the end of DTMF input.
        maximum_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maximum Count
          description: Maximum number of digits a user can enter.
        ignore_speech:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ignore Speech
          description: >-
            Disable speech recognition during collection of DTMF digits, default
            is true.
          default: true
      type: object
      title: DTMFInputConfig
    VADConfig:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
          description: Enable Voice Activity Detection, default is true.
          default: true
        provider:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Provider
          default: silero_vad
        silero_vad_config:
          anyOf:
            - $ref: '#/components/schemas/SileroVADConfig'
            - type: 'null'
      type: object
      title: VADConfig
    UserIdleHandlerConfig:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
          description: >-
            Enable idle handling. If false, we disconnect on timeout without
            playing a prompt.
          default: false
        idle_timeout:
          anyOf:
            - type: integer
            - type: 'null'
          title: Idle Timeout
          description: Idle timeout in seconds before triggering the handler (default 7s).
          default: 7
        idle_max_reprompts:
          anyOf:
            - type: integer
            - type: 'null'
          title: Idle Max Reprompts
          description: >-
            How many times to replay before ending the session (0 = end
            immediately).
          default: 2
        idle_timeout_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Idle Timeout Message
          description: >-
            Message to play on idle; language-specific variants may override
            this.
          default: ''
      type: object
      title: UserIdleHandlerConfig
    AgentIdleHandler:
      properties:
        pre_hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Pre Hold Message
          description: The text to play for the user before playing on-hold audio
          default: >-
            We're taking a little extra time but we'll be with you shortly.
            Thanks for your patience!
        hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Hold Message
          description: The text to play to the user periodically while on hold
          default: >-
            Your request is in progress. It might take a little time, but we
            assure you that the result will be worth the wait.
        typing_enabled:
          type: boolean
          title: Typing Enabled
          default: true
        typing_duration_seconds:
          type: integer
          maximum: 30
          minimum: 0
          title: Typing Duration Seconds
          default: 5
        audio_clip_id:
          $ref: '#/components/schemas/AudioClips'
          default: guitar_1
        hold_audio_seconds:
          type: integer
          maximum: 120
          minimum: 0
          title: Hold Audio Seconds
          default: 15
      type: object
      title: AgentIdleHandler
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WatsonSTTConfig:
      properties:
        api_url:
          type: string
          maxLength: 2048
          minLength: 1
          title: Api Url
        model:
          type: string
          maxLength: 256
          minLength: 1
          title: Model
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        bearer_token:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Bearer Token
        background_audio_suppression:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Background Audio Suppression
          description: Background audio suppression level (0.0 to 1.0). Default 0.0
        language_customization_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Language Customization Id
          description: Language customization ID
        inactivity_timeout:
          anyOf:
            - type: integer
              minimum: -1
            - type: 'null'
          title: Inactivity Timeout
          description: Seconds of inactivity before the service stops listening. Default 30
        profanity_filter:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Profanity Filter
          description: Filter profanity in the transcript. Default true
        smart_formatting:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Smart Formatting
          description: Enable smart formatting (beta). Default false
        speaker_labels:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Speaker Labels
          description: Enable speaker labels (beta). Default false
        redaction:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Redaction
          description: Enable PII redaction (beta). Default false
        low_latency:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Low Latency
          description: Enable low latency mode. Default false
        learning_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Learning Opt Out
          description: Opt out of data collection for learning. Default true
        watson_metadata:
          anyOf:
            - type: string
              maxLength: 512
              minLength: 1
            - type: 'null'
          title: Watson Metadata
          description: Value for x-watson-metadata header.
        smart_formatting_version:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Smart Formatting Version
          description: Version of smart formatting to use.
        customization_weight:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Customization Weight
          description: Weight for custom language model (0.0 to 1.0). Default 0.5
        character_insertion_bias:
          anyOf:
            - type: number
              maximum: 1
              minimum: -1
            - type: 'null'
          title: Character Insertion Bias
          description: Bias for character insertion (-1.0 to 1.0). Default 0.0
        end_of_phrase_silence_time:
          anyOf:
            - type: number
              maximum: 120
              minimum: 0
            - type: 'null'
          title: End Of Phrase Silence Time
          description: Seconds of silence that indicate end of a phrase. Default 0.8
      type: object
      required:
        - api_url
        - model
      title: WatsonSTTConfig
    EmotechSTTConfig:
      properties:
        api_url:
          type: string
          maxLength: 2048
          minLength: 1
          title: Api Url
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        positive_speech_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Positive Speech Threshold
          description: >-
            Confidence threshold above which audio is classified as speech,
            default is 0.25
          default: 0.25
        negative_speech_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Negative Speech Threshold
          description: >-
            Confidence threshold below which audio is classified as non-speech,
            default is 0.25
          default: 0.25
        partial_interval:
          anyOf:
            - type: integer
            - type: 'null'
          title: Partial Interval
          description: >-
            Time interval (in ms) between partial transcription results, default
            is 500 ms.
          default: 500
        silence_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Silence Threshold
          description: >-
            Silence duration (in ms) after speech used to determine end of
            utterance, default is 1500 ms.
          default: 500
      type: object
      required:
        - api_url
      title: EmotechSTTConfig
    DeepgramSTTConfig:
      properties:
        api_url:
          type: string
          maxLength: 2048
          minLength: 1
          title: Api Url
          description: Deepgram API URL
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
          description: Deepgram API key
        model:
          type: string
          maxLength: 256
          minLength: 1
          title: Model
          description: Deepgram model name, e.g., 'nova-3'
        keyterm:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keyterm
          description: Key terms to boost recognition of
        mip_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Mip Opt Out
          description: Opt out of model improvement program
        channels:
          anyOf:
            - type: integer
            - type: 'null'
          title: Channels
          description: Number of audio channels
        diarize:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Diarize
          description: Enable speaker diarization
        dictation:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dictation
          description: Enable dictation mode
        endpointing:
          anyOf:
            - type: integer
            - type: 'null'
          title: Endpointing
          description: Endpointing silence duration in seconds, or false to disable
        extra:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Extra
          description: Extra parameters to pass to Deepgram
        interim_results:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Interim Results
          description: Enable interim results
        keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keywords
          description: Keywords to detect
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: BCP-47 language tag
        multichannel:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Multichannel
          description: Transcribe each audio channel independently
        numerals:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Numerals
          description: Convert numbers from written to numerical form
        profanity_filter:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Profanity Filter
          description: Filter profanity
        punctuate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Punctuate
          description: Add punctuation and capitalization
        redact:
          anyOf:
            - type: string
            - type: 'null'
          title: Redact
          description: Redact sensitive information
        replace:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Replace
          description: Replace specified terms
        search:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Search
          description: Search for specific terms
        smart_format:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Smart Format
          description: Apply smart formatting to the transcript
        tag:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tag
          description: Tag for the request
        utterance_end_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Utterance End Ms
          description: >-
            How long Deepgram will wait to send UtteranceEnd message after word
            has been transcribed
        vad_events:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Vad Events
          description: Enable Deepgram's voice activity detection events
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
          description: API version
        eager_eot_threshold:
          anyOf:
            - type: number
              maximum: 0.9
              minimum: 0.3
            - type: 'null'
          title: Eager Eot Threshold
          description: >-
            End-of-turn confidence required to fire an eager EOT event, between
            (0.3 - 0.9)
        eot_threshold:
          anyOf:
            - type: number
              maximum: 0.9
              minimum: 0.5
            - type: 'null'
          title: Eot Threshold
          description: >-
            End-of-turn confidence required to finish a turn, between (0.5 -
            0.9)
        eot_timeout_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Eot Timeout Ms
          description: >-
            A turn will be finished when this much time (ms) has passed after
            speech, regardless of EOT confidence
      type: object
      required:
        - api_url
        - api_key
        - model
      title: DeepgramSTTConfig
    WatsonTTSConfig:
      properties:
        api_url:
          type: string
          maxLength: 2048
          minLength: 1
          title: Api Url
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        bearer_token:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Bearer Token
        voice:
          type: string
          maxLength: 128
          minLength: 1
          title: Voice
        rate_percentage:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rate Percentage
          description: Rate percentage for speech synthesis, default is 0
          default: 0
        pitch_percentage:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pitch Percentage
          description: Pitch percentage for speech synthesis, default is 0
          default: 0
        language:
          anyOf:
            - type: string
              maxLength: 16
              minLength: 2
            - type: 'null'
          title: Language
          description: Language code for the voice, e.g., 'en-US'
        customization_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Customization Id
          description: Custom ID for the Watson TTS service
        meta_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Meta Id
          description: Meta ID for the Watson TTS service
        learning_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Learning Opt Out
          description: Set to true to opt out of data collection for learning purposes
      type: object
      required:
        - api_url
        - voice
      title: WatsonTTSConfig
    EmotechTTSConfig:
      properties:
        api_url:
          type: string
          maxLength: 2048
          minLength: 1
          title: Api Url
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
        voice:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Voice
      type: object
      required:
        - api_url
      title: EmotechTTSConfig
    ElevenLabsTTSConfig:
      properties:
        model_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Model Id
          description: The ID of the ElevenLabs model to use
        voice_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Voice Id
          description: The ID of the ElevenLabs voice to use
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
          description: ElevenLabs API key
        apply_text_normalization:
          anyOf:
            - type: string
            - type: 'null'
          title: Apply Text Normalization
          description: Whether to apply text normalization
        language_code:
          anyOf:
            - type: string
              maxLength: 16
              minLength: 2
            - type: 'null'
          title: Language Code
          description: Language code for the voice, e.g., 'en', 'es'
        optimize_streaming_latency:
          anyOf:
            - type: integer
            - type: 'null'
          title: Optimize Streaming Latency
          description: Optimize streaming latency (0-4)
        apply_language_text_normalization:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Apply Language Text Normalization
          description: Whether to apply language-specific text normalization
        pronunciation_dictionary_locators:
          anyOf:
            - items:
                $ref: '#/components/schemas/ElevenLabsPronounciationDict'
              type: array
            - type: 'null'
          title: Pronunciation Dictionary Locators
          description: List of pronunciation dictionary locators
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
          description: Seed for deterministic audio generation
        previous_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Text
          description: Previous text for context
        next_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Text
          description: Next text for context
        voice_settings:
          anyOf:
            - $ref: '#/components/schemas/ElevenLabsVoiceSettings'
            - type: 'null'
          description: Voice settings for the ElevenLabs TTS
      type: object
      required:
        - model_id
        - voice_id
        - api_key
      title: ElevenLabsTTSConfig
    DeepgramTTSConfig:
      properties:
        api_key:
          anyOf:
            - type: string
              maxLength: 2048
              minLength: 1
            - type: 'null'
          title: Api Key
          description: Deepgram API key.
        mip_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Mip Opt Out
          description: Opt out of model improvement program.
        model:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Model
          description: The ID (canonical name) of the Deepgram model to use.
        language:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Language
          description: An optional UI indicator to help the UI show different languages.
      type: object
      required:
        - api_key
      title: DeepgramTTSConfig
    UserIdleHandlerLangConfig:
      properties:
        idle_timeout_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Idle Timeout Message
          description: Localized idle message for this language.
          default: ''
      type: object
      title: UserIdleHandlerLangConfig
    AgentIdleHandlerMessages:
      properties:
        pre_hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Pre Hold Message
          description: The text to play for the user before playing on-hold audio
          default: >-
            We're taking a little extra time but we'll be with you shortly.
            Thanks for your patience!
        hold_message:
          anyOf:
            - type: string
              maxLength: 250
              minLength: 0
            - type: 'null'
          title: Hold Message
          description: The text to play to the user periodically while on hold
          default: >-
            Your request is in progress. It might take a little time, but we
            assure you that the result will be worth the wait.
      type: object
      title: AgentIdleHandlerMessages
    SileroVADConfig:
      properties:
        confidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Confidence
          description: >-
            The confidence threshold for speech detection (between 0.0 and 1.0),
            default is 0.7
          default: 0.7
        start_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Start Seconds
          description: >-
            The time in seconds speech must be detected before transitioning to
            SPEAKING state, default is 0.2
          default: 0.2
        stop_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Stop Seconds
          description: >-
            The time in seconds silence must be detected before transitioning to
            QUIET state, default is 0.8
          default: 0.8
        min_volume:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Volume
          description: >-
            The minimum audio volume threshold for speech detection (between 0.0
            and 1.0), default is 0.6
          default: 0.6
      type: object
      title: SileroVADConfig
    AudioClips:
      type: string
      enum:
        - guitar_1
        - listen_1
      title: AudioClips
    ElevenLabsPronounciationDict:
      properties:
        pronunciation_dictionary_id:
          type: string
          title: Pronunciation Dictionary Id
          description: ID of the pronunciation dictionary
        version_id:
          type: string
          title: Version Id
          description: Version ID of the pronunciation dictionary
      type: object
      required:
        - pronunciation_dictionary_id
        - version_id
      title: ElevenLabsPronounciationDict
    ElevenLabsVoiceSettings:
      properties:
        speed:
          type: number
          title: Speed
          description: Speech speed. Defaults to 1.0
          default: 1
        style:
          type: number
          title: Style
          description: >-
            Style exaggeration: the higher the value, the more computational
            resources are used. Defaults to 0.0
          default: 0
        stability:
          type: number
          title: Stability
          description: >-
            Stability: how stable the voice is and the randomness between each
            generation. Defaults to 0.5
          default: 0.5
        similarity_boost:
          type: number
          title: Similarity Boost
          description: >-
            Similarity boost: how closely the AI should adhere to the original
            voice. Defaults to 0.75
          default: 0.75
        use_speaker_boost:
          type: boolean
          title: Use Speaker Boost
          description: Whether to use speaker boost. Defaults to true
          default: true
      type: object
      title: ElevenLabsVoiceSettings
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````